Loading...
Searching...
No Matches
MolPickler.h File Reference
`#include <RDGeneral/export.h>`
`#include <Geometry/point.h>`
`#include <GraphMol/Atom.h>`
`#include <GraphMol/QueryAtom.h>`
`#include <GraphMol/Bond.h>`
`#include <GraphMol/QueryBond.h>`
`#include <RDGeneral/StreamOps.h>`
`#include <boost/utility/binary.hpp>`
`#include <boost/variant.hpp>`
`#include <Query/QueryObjects.h>`
`#include <string>`
`#include <sstream>`
`#include <exception>`
`#include <cstdint>`
`#include <RDGeneral/BetterEnums.h>`

Go to the source code of this file.

## Classes

class | RDKit::MolPicklerException
| used to indicate exceptions whilst pickling (serializing) molecules More...
class | RDKit::MolPickler
| handles pickling (serializing) molecules More...

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::PicklerOps

## Typedefs

using | RDKit::PicklerOps::QueryDetails

## Functions

| RDKit::PicklerOps::BETTER_ENUM (PropertyPickleOptions, unsigned int, NoProps=0, MolProps=0x1, AtomProps=0x2, BondProps=0x4, QueryAtomData=0x2, PrivateProps=0x10, ComputedProps=0x20, AllProps=0x0000FFFF, CoordsAsDouble=0x00010000, NoConformers=0x00020000)
template<class T>
QueryDetails | RDKit::PicklerOps::getQueryDetails (const Queries::Query< int, T const *, true > *query)